%define short_name	pgpoolAdmin

Summary:	PgpoolAdmin - web-based pgpool administration
Name:		postgresql-pgpoolAdmin
Version:	3.6.1
Release:	2%{?dist}
License:	BSD
Group:		Applications/Databases
URL:		http://www.pgpool.net/

Source0:	http://www.pgpool.net/download.php?f=pgpoolAdmin-%{version}.tar.gz#/pgpoolAdmin-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}.tmpfiles.d


Requires:	php >= 4.4.2
Requires:	php-pgsql >= 4.4.2
Requires:	webserver
Requires:	postgresql-pgpool-II
Requires(post):	httpd
Requires(postun):httpd
BuildRequires:	httpd
Requires:	httpd

Buildarch:	noarch

%define		_pgpoolAdmindir	%{_datadir}/%{name}

Patch1:		%{name}-conf.patch
Patch2:		postgresql-pgpoolAdmin-templates.patch

%description
The pgpool Administration Tool is management tool of pgpool-II. It is 
possible to monitor, start, stop pgpool and change settings of pgpool-II.

%prep
%setup -q -n pgpoolAdmin-%{version}
%patch1 -p2
%patch2 -p2

%build

%install
install -d %{buildroot}%{_pgpoolAdmindir}
install -d %{buildroot}%{_pgpoolAdmindir}/conf
install -d %{buildroot}%{_sysconfdir}/%{name}
install -m 644 *.php %{buildroot}%{_pgpoolAdmindir}
cp -a  doc/ images/ install/ lang/ libs/ templates/ screen.css %{buildroot}%{_pgpoolAdmindir}
install -m 755 conf/* %{buildroot}%{_sysconfdir}/%{name}/
ln -s ../../../..%{_sysconfdir}/%{name}/pgmgt.conf.php %{buildroot}%{_pgpoolAdmindir}/conf/pgmgt.conf.php

mkdir -p %{_sysconfdir}/httpd/conf.d/
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/postgresql-pgpoolAdmin.conf
install -d -m 755 %{buildroot}/var/run/pgpoolAdmin


%post
	systemctl reload httpd.service

%postun
	systemctl reload httpd.service

%files
%defattr(0644,root,root,0755)
%doc README README.euc_jp
%defattr(0644,nobody,nobody,0755)
%dir %{_pgpoolAdmindir}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(644,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/*
%attr(644,root,root) %{_pgpoolAdmindir}/*.php
%{_pgpoolAdmindir}/conf
%{_pgpoolAdmindir}/doc
%{_pgpoolAdmindir}/images
%{_pgpoolAdmindir}/install
%{_pgpoolAdmindir}/lang
%{_pgpoolAdmindir}/libs
%{_pgpoolAdmindir}/templates
%{_pgpoolAdmindir}/screen.css
%{_tmpfilesdir}/postgresql-pgpoolAdmin.conf
%attr(755,apache,apache) %dir /var/run/pgpoolAdmin


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 28 2017 Jozef Mlich <imlich@fit.vutbr.cz> - 3.6.1-1
- rebase to new upstream version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 22 2016 Jozef Mlich <imlich@fit.vutbr.cz> - 3.4.0-4
- add missing requires

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 05 2015 Jozef Mlich <jmlich@redhat.com> - 3.4.0-1
- rebase to 3.4.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Remi Collet <rcollet@redhat.com> - 3.1.1-3
- fix configuration file for httpd 2.4, #871468

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1 to fix FTBFS
- Cleanup and update spec
- Update URL and Source links

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 23 2009 Devrim Gunduz <devrim@commandprompt.com> 2.2-1
- Update to 2.2
- Update spec and patches so that pgpoolAdmin works against pgpool 2.2

* Wed Mar 18 2009 Robert Scheck <robert@fedoraproject.org> 1.0.0-11
- Corrected a typo at %%attr in %%files section

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 16 2007 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-9
- Fixed smarty error caused by wrong ownership

* Thu Aug 16 2007 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-8
- Fix ownership problem of pgmgmt.conf

* Thu Aug 16 2007 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-7
- Fix httpd configuration file -- it was using wrong directory.

* Sat Jun 2 2007 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-6
- Fixes for bugzilla review #229323

* Tue Feb 20 2007 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-5
- Fixes for packaging guidelines of web apps.
- Fix ownership problems

* Mon Oct 02 2006 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-4
- chgrp and chmod pgpool-II conf files so that apache can write it. 
- Change file ownership from apache to nobody.

* Tue Sep 26 2006 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-3
- Update patch1

* Tue Sep 26 2006 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-2
- Fix file ownership
- Update patch1

* Tue Sep 26 2006 Devrim Gunduz <devrim@commandprompt.com> 1.0.0-1
- Initial build 
